<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
    <class name="com.arrebol.taxiservicios.model.stocktaking.view.KardexOutStocktakingView" table="KARDEX_OUT_STOCKTAKING_VIEW" catalog="crov_spa" mutable="false">
        <id name="id" type="string">
            <column name="id" length="72" />
        </id>
        <property name="fecha" type="timestamp">
            <column length="19" name="fecha"/>
        </property>
        <property name="taxi" type="string">
            <column name="taxi" length="200" />
        </property>
        <property name="cantidad" type="int">
            <column name="cantidad"  />
        </property>
        <property name="producto" type="string">
            <column name="producto" />
        </property>
        <property name="codigoProducto" type="string">
            <column name="codigo_producto" />
        </property>
        <property name="marca" type="string">
            <column name="marca" />
        </property>
        <property name="brandId" type="string">
            <column name="brand_id" />
        </property>
        <property name="precio" type="float" >
            <column name="precio"/>
        </property>
        <property name="total" type="float" >
            <column name="total"/>
        </property>
        <property name="mayoreo" type="float" >
            <column name="mayoreo"/>
        </property>
        <property name="comentarios" type="string">
            <column name="comentarios" length="250" />
        </property>
        <property name="usuario" type="string">
            <column name="usuario" length="200" />
        </property>
        <property name="ordenServicio" type="string">
            <column name="orden_serivicio" length="200" />
        </property>
        <property name="serviceId" type="string">
            <column name="service_id" length="200" />
        </property>
        <property name="productId" type="string">
            <column name="product_id" length="200" />
        </property>
        <property name="taxiId" type="string">
            <column name="taxi_id" length="200" />
        </property>
        
        <property name="location" type="string">
            <column name="location_id" length="200" />
        </property>
        <property name="estatus" type="string">
            <column name="estatus" length="200" />
        </property>
        <property name="priceToPay" type="double">
            <column name="price_to_pay"/>
        </property>
        <property name="cobrado" type="string">
            <column name="cobrado" length="200" />
        </property>
        <property name="financiado" type="string">
            <column name="financiado" length="200" />
        </property>
        <property name="cliente" type="string">
            <column name="cliente" length="200" />
        </property>
        <property name="usuarioFinanza" type="string">
            <column name="usuario_finanza" length="200" />
        </property>
        <property name="usuarioCobro" type="string">
            <column name="usuario_cobro" length="200" />
        </property>
        
        <property name="commercialInvoiceStatus" type="string">
            <column name="commercial_invoice_status" length="200" />
        </property>
        
        <property name="payDate" type="timestamp">
            <column length="19" name="pay_Date"/>
        </property>
        <property name="financeDate" type="timestamp">
            <column length="19" name="finance_Date"/>
        </property>
    </class>
</hibernate-mapping>